Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class FindByIngredientType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.FindByIngredientType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class FindByIngredientType

extends Object
implements Serializable

Java class for FindByIngredientType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindByIngredientType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="SubstanceCode" type="{urn:be:fgov:ehealth:dics:protocol:v5}StandardSubstanceCodeCriterionType"/>
               <element name="SubstanceName" type="{urn:be:fgov:ehealth:dics:protocol:v5}StandardSubstanceNameCriterionType"/>
             </choice>
             <element name="Strength" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindByIngredientType()`

Method Summary
`QuantityType` | `getStrength()` Gets the value of the strength property.
`StandardSubstanceCodeCriterionType` | `getSubstanceCode()` Gets the value of the substanceCode property.
`StandardSubstanceNameCriterionType` | `getSubstanceName()` Gets the value of the substanceName property.
`void` | `setStrength(QuantityType value)` Sets the value of the strength property.
`void` | `setSubstanceCode(StandardSubstanceCodeCriterionType value)` Sets the value of the substanceCode property.
`void` | `setSubstanceName(StandardSubstanceNameCriterionType value)` Sets the value of the substanceName property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindByIngredientType

    public FindByIngredientType()

Method Detail

### getSubstanceName

    public StandardSubstanceNameCriterionType getSubstanceName()

  Gets the value of the substanceName property.

  Returns:
    possible object is `StandardSubstanceNameCriterionType`

### setSubstanceName

    public void setSubstanceName(StandardSubstanceNameCriterionType value)

  Sets the value of the substanceName property.

  Parameters:
    `value` - allowed object is `StandardSubstanceNameCriterionType`

### getSubstanceCode

    public StandardSubstanceCodeCriterionType getSubstanceCode()

  Gets the value of the substanceCode property.

  Returns:
    possible object is `StandardSubstanceCodeCriterionType`

### setSubstanceCode

    public void setSubstanceCode(StandardSubstanceCodeCriterionType value)

  Sets the value of the substanceCode property.

  Parameters:
    `value` - allowed object is `StandardSubstanceCodeCriterionType`

### getStrength

    public QuantityType getStrength()

  Gets the value of the strength property.

  Returns:
    possible object is `QuantityType`

### setStrength

    public void setStrength(QuantityType value)

  Sets the value of the strength property.

  Parameters:
    `value` - allowed object is `QuantityType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.